Package org.apache.tools.ant.taskdefs.email

## Class MimeMailer

- java.lang.Object
- - org.apache.tools.ant.taskdefs.email.Mailer
  - - org.apache.tools.ant.taskdefs.email.MimeMailer

-     @Deprecated
      public class MimeMailer
      extends Mailer

  Deprecated.
  see org.apache.tools.ant.taskdefs.email.JakartaMimeMailer
  Uses the JavaMail classes to send Mime format email.
  Since:
    Ant 1.5

- - ### Field Summary

    - ### Fields inherited from class org.apache.tools.ant.taskdefs.email.Mailer

      `bccList, ccList, files, from, headers, host, includeFileNames, message, password, port, replyToList, SSL, subject, task, toList, user`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `MimeMailer()` | Deprecated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `send()` | Deprecated. Send the email.

    - ### Methods inherited from class org.apache.tools.ant.taskdefs.email.Mailer

      `getDate, isPortExplicitlySpecified, isStartTLSEnabled, isStartTLSRequired, setBccList, setCcList, setCheckServerIdentity, setEnableStartTLS, setFiles, setFrom, setHeaders, setHost, setIgnoreInvalidRecipients, setIncludeFileNames, setMessage, setPassword, setPort, setPortExplicitlySpecified, setReplyToList, setRequireStartTLS, setSSL, setSubject, setTask, setToList, setUser, shouldCheckServerIdentity, shouldIgnoreInvalidRecipients`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MimeMailer

          public MimeMailer()

      Deprecated.

  - ### Method Detail

    - #### send

          public void send()

      Deprecated.
      Send the email.
      Specified by:
        `send` in class `Mailer`
      Throws:
        `BuildException` - if the email can't be sent.